petsc-3.4.2 2013-07-02

# DMDAGetElementType

Gets the element type to be returned by DMDAGetElements()

### Synopsis

    #include "petscdmda.h"
    #undef __FUNCT__
    #define __FUNCT__ "DMDAGetElementType"
    PetscErrorCode  DMDAGetElementType(DM da, DMDAElementType *etype)

Not Collective

### Input Parameter

da -the DMDA object

### Output Parameters

etype -the element type, currently either DMDA_ELEMENT_P1 or ELEMENT_Q1

### See Also

DMDAElementType, DMDASetElementType(), DMDAGetElements(), DMDARestoreElements()

Level:intermediate
Location:src/dm/impls/da/dagetelem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages